| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ivaria/gradient.h File Reference

Simple color gradient interfaces. More...

`#include "iutil/array.h"`
`#include "csutil/cscolor.h"`
`#include "csgfx/rgbpixel.h"`

Go to the source code of this file.

## Classes
struct | csGradientShade
| An entry in an iGradient gradient. More...
struct | iGradient
| A simple color gradient. More...
struct | iGradientShades
| An array of gradient shades. More...

## Detailed Description

Simple color gradient interfaces.

Definition in file gradient.h.